cancel
Showing results for 
Search instead for 
Did you mean: 

Problem on Save Analytic View on Cloudshare Env

Former Member
0 Kudos

Hi all,

I'm currently using the Cloudshare environment to make some experiments with SAP HANA, when I'm trying to save a new Analytic View the following exception appears:

Save Failed: Repository: Version mismatch; newer inactive version of the dev object already exists

But the object is new, so make no sense exists another version of this object dev. I've tried to create another Analytic View with a random name to prevent any collision with another package (but it make no sense too, because object should be isolated by packages).

Does anybody has passed by a problem like this? I'll try contact the SAP HANA team, may it can be a BUG or permission issue on my account.

Best regards

View Entire Topic
hai_murali_here
Advisor
Advisor
0 Kudos

Hi,

There was similar issue reported with the following error message

"Save Failed:Repository:Version mismatch;activae version of object doesnt match inactive version defined in metadata"

But this issue resolved in newer releases and not reproducible.

Can you check the HANA Studio Revision which you are using.

Rgds,

Murali

Former Member
0 Kudos

Hi ,

I used to save & activate  my analytical view.past 4 days iam getting the "save failed repository version mismatch newer inactive version of the dev object already exists" error .

and iam using hana version 1.0.25.201202161552 .

hai_murali_here
Advisor
Advisor
0 Kudos

Hi,

This issue was addressed in Rev 26 and the current Rev in SMP is 29.You can upgrade it to higher revision and can check it out.

Rgds,

Murali

Former Member
0 Kudos

Hi,

My version is 1.0.25.201202161552 too. I'll try to update the Hana Studio on Cloudshare. Do you know if is possible to update the current version to another level using "Check for update"? Or the only is make a fresh install of Hana Studio?

I'll try a fresh installation if automatic update is not possible.

Thanks by response.

Former Member
0 Kudos

Hi,

I've updated to 1.0.27 and it works.

Best regards

Former Member
0 Kudos

Hello Cristiano,

Can you please tell me how did you update @Cloudshare ? Is it possible to do on cloudshare to upgrade to 1.0.27?

Regards,

Krishna Tangudu

Former Member
0 Kudos

Hi Krishna,

Yes, you can update at Cloudshare.

On your machine on Cloudshare, download the package for install at : http://www.sdn.sap.com/irj/scn/go/portal/prtroot/docs/webcontent/uuid/10e6e3ff-6081-2f10-e690-829e62...

I think that default machines on Cloudshare is Win86 32 bit (This is my case), after download you'll unzip it at any folder, so you will execute the setup program (hdbsetup.exe). Possibly the setup program will locate the current install and select for you the option update (default location is c:\Program Files\sap\hdbstudio), you can try the update option, this option fails for me, so I've removed the 1.0.25 (c:\Program Files\sap\hdbstudio\install\hdbuninst.exe) and installed the 1.0.27. After the installation wasn't necessary to reconfigure system, the process don't remove you preferences and configurations.

Best Regards

Former Member
0 Kudos

Hi,

Its working for me thanks all.

Former Member
0 Kudos

I believe the option to check for update does not work on the server i was working on. I am on hana server 07. It also helps to check which server you are based on . There is a shared repository in SYS_REPO. This holds the active /inactive versions/ why not check out this scheme in admin area; check for your object there;

Make a copy of your object; change the name and activate

Former Member
0 Kudos

Hi Zeeshan,

The problem was the version of HANA Studio, after update it has worked. Another option is Revert the Cloudshare Env (The problem was the version of HANA Studio, after update it has worked.) I've done it yesterday and update my env.

Best regards